import { ScreenCtrl } from "@/modules/editor/controllers/ScreenCtrl";
import { createObj } from "../factory";
export function dataTransform(data: any) {
  if (data.version == "1.0.1") {
    return data;
  }
  data.version = "1.0.1";
  if (!data.compMap) {
    const root = createObj({compKey: "Page"}, false);
    root.id = "root";
    root.value.useFor = data.platform;
    data.compMap = {
        root,
    };
    const card = createObj({compKey: "Container"}, false);
    data.compMap[card.id] = card;
    data.compMap.root.children.default = [card.id]
    return data
  }

  if (!data.compScreenMap) { //默认为手机 long页面
        data.compMap.root.value.pageMode = "long";
        data.compMap.root.value.useFor = "mobile";
        data.compMap.root.value.pageSizeType = "normal";
      data.compScreenMap = {"mobilelongnormal": ScreenCtrl.createScreenCards(data.compMap, data.compMap.root)}
   }
   return data;
}