import { nanoid } from "nanoid";
import { createOss } from "./create";

//没有响应式数据
export class PackGeom {
  id = nanoid();
  name = "";
  thumbnail = createOss();
  osgjs = createOss();
  file = createOss();
  glb = createOss();
  shadow = createOss();
  boundingBox = {
    min: { x: 0, y: 0, z: 0 },
    max: { x: 0, y: 0, z: 0 },
  };

  fromJson(data:any) {
    this.id = data.id;
    this.name = data.name;
    this.thumbnail = data.thumbnail;
    this.osgjs = data.osgjs;
    this.file = data.file;
    this.glb = data.glb;
    this.shadow = data.shadow;
    this.boundingBox = data.boundingBox;
  }

  toJson() {
    return {
      id: this.id,
      name: this.name,
      thumbnail: this.thumbnail,
      osgjs:this.osgjs,
      file: this.file,
      glb: this.glb,
      shadow: this.shadow,
      boundingBox: this.boundingBox
    }
  }
}
