import { nanoid } from "nanoid";

export class PackSceneLight {
  id = nanoid();
  type = "NONE";
  enable = false;
  matrix: number[] = [];
  color: number[] = [];
  intensity = 0;

  toJson() {
    return {
      id: this.id,
      type: this.type,
      enable: this.enable,
      matrix: this.matrix,
      color: this.color,
      intensity: this.intensity
    }
  }

  fromJson(data:any) {
    this.id = data.id;
    this.type = data.type;
    this.enable= data.enable;
    this.matrix = data.matrix;
    this.color = data.color;
    this.intensity = data.intensity;
  }
}
