import { DesignCompObj } from "@/modules/editor/objects/DesignTemp/DesignComp";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { RxValue } from "@/modules/editor/controllers/ReactCtrl/rxValue";

export { Component } from "./component";


const CardValue = {
}

export class CompCardObj extends DesignCompObj<typeof CardValue> {
  value = RxValue.create({...CardValue})
  
  constructor(){
    super();
    this.compKey = "Container";
    this.layout.size = [750, 300];
    this.layout.background.color = "#ffffff";
  }
}


export function createComp() {
  return new CompCardObj();
}

export const options = {
  name: "容器",
  thumbnail: require("@/modules/editor/assets/icons/group.svg"),
};

export const Form = createAttrsForm([]);
