import { DesignCompObj } from "@/modules/editor/objects/DesignTemp/DesignComp";
import { createAttrsForm } from "../../defines/createAttrsForm";
import { RxValue } from "@/modules/editor/controllers/ReactCtrl/rxValue";

export { Component } from "./component";

const GroupValue = {}
export class CompGroupObj extends DesignCompObj<typeof GroupValue> {
   value = RxValue.create({...GroupValue})
   onCreated() {
    this.compKey = "Group";
   }
}

export function createComp() {
  return new CompGroupObj();
}

export const options = {
  name: "组合",
  thumbnail: require("@/modules/editor/assets/icons/container.svg"),
};

export const Form = createAttrsForm([]);
