import { CompUI } from "@/modules/editor/components/CompUI";
import { DesignComp } from "../DesignComp";
import { createObj } from "../factory";

export function dataTransform(data: any) {
  if (data.version == "1.0.0") {
    return data;
  }
  data.version = "1.0.0";

  if (!data.compMap) {
    const root = createObj({compKey: "Page"}, false);
    root.id = "root";
    data.compMap = {
        root,
    };
    const card = createObj({compKey: "Container"}, false);
    data.compMap[card.id] = card;
    data.compMap.root.children.default = [card.id]
    return data
  }

  data.compMap || (data.compMap = {});
  const compMap: Record<string, DesignComp> = data.compMap;

  //const childrens = compMap.root.children.default || []

  //const roots = []
  // for (const item of childrens) {
  //   let card = compMap[item]
  //   if (card.compKey != "Container" ) {
  //       // card.layout.position = "absolute";
  //       card = CompUI.Page.createComp({
  //           compKey: "Container",
  //           children: {
  //             default: [card.id]
  //           },
  //       });
  //       compMap[card.id] = card;
  //   }
  //   roots.push( card.id );
  // }
  //compMap.root.children.default = roots;
  return data;
}