export function dataTransform(data: any) {
  if (data.version == "1.0.2") {
    return data;
  }
  data.version = "1.0.2";

  const pageValue = data.compMap.root.value;
  if (
    pageValue.pageSizeType == "long" &&
    pageValue.pageMode == "short" &&
    pageValue.useFor == "mobile"
  ) {
    if (hasContent(data.compScreenMap["mobileshortnormal"])) {
      return data;
    }
    // 普通屏幕没有数据，迁移长屏幕数据过来
    data.compScreenMap["mobileshortnormal"] =
      data.compScreenMap["mobileshortlong"];
    pageValue.pageSizeType = "normal";
  }
  return data;
}

function hasContent(curr: any) {
  let res = false;
  if (!curr) return false;
  for (let index = 0; index < curr.length; index++) {
    const element = curr[index];
    if (element?.children.length > 0) {
      res = true;
      return res;
    }
  }
  return res;
}
