import { ToolbarItem, toolbars } from "./default";
import { LayoutToolbars } from "./layout";

export const LiveToolbars: ToolbarItem[] = [
  toolbars.imageCropper,
  toolbars.layerUp,
  toolbars.layerDown,
  toolbars.createGroup,
  toolbars.cancelGroup,
  toolbars.delete,
  toolbars.textLink,
];

export const CompAlignTools = {
  Left: [
    LayoutToolbars.xLeft,
    LayoutToolbars.xCenter,
    LayoutToolbars.xRight,
  ] as ToolbarItem[],
  right: [
    LayoutToolbars.YTop,
    LayoutToolbars.YCenter,
    LayoutToolbars.YBottom,
  ] as ToolbarItem[],
};

export const SelItemsAlignTools = {
  Left: [
    LayoutToolbars.xLeft,
    LayoutToolbars.xCenter,
    LayoutToolbars.xRight,
    LayoutToolbars.xBetween,
  ] as ToolbarItem[],
  right: [
    LayoutToolbars.YTop,
    LayoutToolbars.YCenter,
    LayoutToolbars.YBottom,
    LayoutToolbars.yBetween,
  ] as ToolbarItem[],
};
