import { startApp } from "@/App";
import { initAuthDef } from "@/hooks/initAuthDef";
import { initViewportSize } from "@/hooks/initViewportSize";
import { initEditor } from "@/modules/editor";
import { initResource, useResource } from "@/modules/resource";
// import CKEditor from "@ckeditor/ckeditor5-vue";
import router from "./router";
import { initRemSize } from "@/hooks/initRemSize";

document.title = "Queen5.鲲舞";
startApp(
  router,
  [initViewportSize, initRemSize, initAuthDef, initResource, initEditor],
  (app) => {
    // app.use(CKEditor);
  }
);
